{ config, lib, pkgs, ... }:

let cfg = config.modules.desktop.office.libreoffice;
in {
  options.modules.desktop.office.libreoffice = {
    enable = lib.mkOption {
      default = false;
      example = true;
    };
  };

  config = lib.mkIf cfg.enable {
    user.packages = with pkgs; [
      (if config.modules.desktop.kde.enable == true then libreoffice-qt else libreoffice)
      hunspell
      hunspellDicts.en-gb-large
      hunspellDicts.en-us-large
    ];
  };
}
